    #include "partition.h"
    #include<algorithm>
    #include<map>
    using namespace std;
    map<int,vector<int>> m;
    std::vector<int> solve(std::vector<int> a) {
        int n=a.size();
        for(int i=0;i<n;i++) {
            m[a[i]].emplace_back(i);
        }
        vector<int> v;
        for(auto p:m){
            for(int i=0;i<p.second.size()/2;i++) v.emplace_back(p.second[i]);
        }
        for(auto p:m){
            for(int i=p.second.size()/2;i<p.second.size();i++) v.emplace_back(p.second[i]);
        }
        return v;
    }
